Get Webhook
curl --request GET \
--url https://api.us.vartiq.com/webhooks/{webhookId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.vartiq.com/webhooks/{webhookId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.us.vartiq.com/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"url": "<string>",
"secret": "<string>",
"customHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"authMethod": {
"method": "<string>",
"hmacHeader": "<string>",
"hmacSecret": "<string>",
"apiKey": "<string>",
"apiKeyHeader": "<string>",
"userName": "<string>",
"password": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Webhooks
Get Webhook
GET
/
webhooks
/
{webhookId}
Get Webhook
URL Parameters
string
required
The unique identifier of the webhook
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
object
The webhook object
Show Properties
Show Properties
string
Unique identifier for the webhook
string
URL where webhook events will be sent
string
Secret key for webhook verification
object
Authentication method configuration
Show Properties
Show Properties
string
Authentication method type (hmac, api_key, or basic)
string
Custom header name for HMAC signature (if method is hmac)
string
Secret used for HMAC signature generation (if method is hmac)
string
API key value (if method is api_key)
string
Custom header name for API key (if method is api_key)
string
Username for basic authentication (if method is basic)
string
Password for basic authentication (if method is basic)
string
Timestamp when the webhook was created
string
Timestamp when the webhook was last updated
Response Example
{
"success": true,
"message": "Webhook retrieved successfully",
"data": {
"id": "wh_01JT39T79CFY20Z7G0M2KC4HVC",
"name": "heelo",
"url": "https://exp.com",
"secret": "01JT39T79HMJHEYQ9FXZ9VM2XC",
"customHeaders": [
{
"key": "x-app",
"value": "x-value"
}
],
"headers": [
{
"key": "Content-Type",
"value": "application/json"
}
],
"authMethod": {
"hmacHeader": "x-Vartiq-signature",
"hmacSecret": "uPvKnaxMwD1gHs1uFNJh-UEn3D5ha5WZcS3WTMVUExY",
"method": "hmac"
},
"createdAt": "2025-04-30T12:12:45.756Z",
"updatedAt": "2025-04-30T12:12:45.756Z"
}
}
⌘I